import { FunctionMetadataLatest } from '@polkadot/types/interfaces';
import { CallFunction } from '@polkadot/types/types';
/**
 * From the metadata of a function in the module's storage, generate the function
 * that will return the an [[CallFunction]].
 *
 * @param section - Name of the module section.
 * @param sectionIndex - Index of the module section in the modules array.
 * @param methodIndex - Index of the method inside the section.
 * @param callMetadata - Metadata of the call function.
 */
export default function createDescriptor(section: string, sectionIndex: number, methodIndex: number, callMetadata: FunctionMetadataLatest): CallFunction;
